Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 90430 - >mplayer-1.0_pre5-r5 cannot encode with huffvuf
Summary: >mplayer-1.0_pre5-r5 cannot encode with huffvuf
Status: VERIFIED INVALID
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-25 13:43 UTC by R!tman
Modified: 2005-04-28 03:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R!tman 2005-04-25 13:43:08 UTC
The given command works with mplayer-1.0_pre5-r5, but not with all versions above I tested. These are: mplayer-1.0_pre6-r4 and mplayer-1.0_pre6-r5.

Reproducible: Always
Steps to Reproduce:
1.mencoder -o tvcapture.avi -ovc lavc -lavcopts vcodec=huffyuv -oac pcm tv:// -tv driver=v4l2:alsa

Actual Results:  
MEncoder 1.0pre6-3.4.3 (C) 2000-2004 MPlayer Team
CPU: Advanced Micro Devices  (Family: 8, Stepping: 10)
Detected cache-line size is 64 bytes
Cannot test OS support for SSE, disabling to be safe.
77 audio & 189 video codecs
File not found: 'frameno.avi'
Failed to open frameno.avi

success: format: 9  data: 0x0 - 0x0
TV detected! ;-)
Selected driver: v4l2
 name: Video 4 Linux 2 input
 author: Martin Olschewski <olschewski@zpr.uni-koeln.de>
 comment: first try, more to come ;-)
Selected device: Terratec Cinergy 600 TV
 Tuner cap: STEREO LANG1 LANG2
 Tuner rxs: MONO
 Capabilites:  video capture  video overlay  VBI capture device  tuner 
read/write  streaming
 supported norms: 0 = PAL; 1 = PAL-BG; 2 = PAL-I; 3 = PAL-DK; 4 = NTSC; 5 =
SECAM; 6 = PAL-M; 7 = PAL-Nc;
 inputs: 0 = Television; 1 = Composite1; 2 = S-Video; 3 = Composite2;
 Current input: 0
 Current format: BGR24
v4l2: current audio mode is : MONO
[V] filefmt:9  fourcc:0x32315659  size:640x480  fps:25.00  ftime:=0.0400
==========================================================================
Opening audio decoder: [pcm] Uncompressed PCM audio decoder
AUDIO: 44100 Hz, 1 ch, 16 bit (0x10), ratio: 88200->88200 (705.6 kbit)
Selected audio codec: [pcm] afm:pcm (Uncompressed PCM)
==========================================================================
Opening video filter: [expand osd=1]
Expand: -1 x -1, -1 ; -1  (-1=autodetect) osd: 1
==========================================================================
Opening video decoder: [raw] RAW Uncompressed Video
VDec: vo config request - 640 x 480 (preferred csp: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is undefined - no prescaling applied.
videocodec: libavcodec (640x480 fourcc=55594648 [HFYU])
[huffyuv @ 0x8e1890]Error: YV12 is not supported by huffyuv; use vcodec=ffvhuff
or format=422p
Could not open codec.
FATAL: Cannot initialize video driver.
VDecoder init failed :(
Cannot find codec matching selected -vo and video format 0x32315659.
Read DOCS/HTML/en/codecs.html!
==========================================================================

Exiting...
Comment 1 Luca Barbato gentoo-dev 2005-04-26 05:10:08 UTC
snip

[huffyuv @ 0x8e1890]Error: YV12 is not supported by huffyuv; use vcodec=ffvhuff
or format=422p

what happens if you follow that instruction?
Comment 2 R!tman 2005-04-26 07:30:43 UTC
Oops I totally forgot about posting that. And it seems like I overlooked there were TWO different option. The ffvhuff one does not work. The other one does. Nevertheless I posted both results.

As I do not know if it is a bug or not, I will leave it as 'new' instead of 'invalid'. Maybe it has to be that way with versions >= 1.0_pre6 though.

*****************************************************************************
$ mencoder -o tvcapture.avi -ovc lavc -lavcopts vcodec=ffvhuff -oac pcm tv:// -tv driver=v4l2:alsa
MEncoder 1.0pre6-3.4.3 (C) 2000-2004 MPlayer Team
CPU: Advanced Micro Devices  (Family: 8, Stepping: 10)
Detected cache-line size is 64 bytes
Cannot test OS support for SSE, disabling to be safe.
77 audio & 189 video codecs
File not found: 'frameno.avi'
Failed to open frameno.avi

success: format: 9  data: 0x0 - 0x0
TV detected! ;-)
Selected driver: v4l2
 name: Video 4 Linux 2 input
 author: Martin Olschewski <olschewski@zpr.uni-koeln.de>
 comment: first try, more to come ;-)
Selected device: Terratec Cinergy 600 TV
 Tuner cap: STEREO LANG1 LANG2
 Tuner rxs: MONO STEREO
 Capabilites:  video capture  video overlay  VBI capture device  tuner  read/write  streaming
 supported norms: 0 = PAL; 1 = PAL-BG; 2 = PAL-I; 3 = PAL-DK; 4 = NTSC; 5 = SECAM; 6 = PAL-M; 7 = PAL-Nc;
 inputs: 0 = Television; 1 = Composite1; 2 = S-Video; 3 = Composite2;
 Current input: 0
 Current format: BGR24
v4l2: current audio mode is : STEREO
[V] filefmt:9  fourcc:0x32315659  size:640x480  fps:25.00  ftime:=0.0400
==========================================================================
Opening audio decoder: [pcm] Uncompressed PCM audio decoder
AUDIO: 44100 Hz, 2 ch, 16 bit (0x10), ratio: 176400->176400 (1411.2 kbit)
Selected audio codec: [pcm] afm:pcm (Uncompressed PCM)
==========================================================================
Opening video filter: [expand osd=1]
Expand: -1 x -1, -1 ; -1  (-1=autodetect) osd: 1
==========================================================================
Opening video decoder: [raw] RAW Uncompressed Video
VDec: vo config request - 640 x 480 (preferred csp: Planar YV12)
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is undefined - no prescaling applied.
videocodec: libavcodec (640x480 fourcc=48564646 [FFVH])
[ffvhuff @ 0x8e1890]This codec is under development; files encoded with it may not be decodeable with future versions!!! Set vstrict=-1 to use it anyway.
Could not open codec.
FATAL: Cannot initialize video driver.
VDecoder init failed :(
Cannot find codec matching selected -vo and video format 0x32315659.
Read DOCS/HTML/en/codecs.html!
==========================================================================

Exiting...
*****************************************************************************

*****************************************************************************
$ mencoder -endpos 00:00:10 -o tvcapture.avi -ovc lavc -lavcopts vcodec=huffyuv:format=422p -oac pc
m tv:// -tv driver=v4l2:alsa 
MEncoder 1.0pre6-3.4.3 (C) 2000-2004 MPlayer Team
CPU: Advanced Micro Devices  (Family: 8, Stepping: 10)
Detected cache-line size is 64 bytes
Cannot test OS support for SSE, disabling to be safe.
77 audio & 189 video codecs
File not found: 'frameno.avi'
Failed to open frameno.avi

success: format: 9  data: 0x0 - 0x0
TV detected! ;-)
Selected driver: v4l2
 name: Video 4 Linux 2 input
 author: Martin Olschewski <olschewski@zpr.uni-koeln.de>
 comment: first try, more to come ;-)
Selected device: Terratec Cinergy 600 TV
 Tuner cap: STEREO LANG1 LANG2
 Tuner rxs: MONO STEREO
 Capabilites:  video capture  video overlay  VBI capture device  tuner  read/write  streaming
 supported norms: 0 = PAL; 1 = PAL-BG; 2 = PAL-I; 3 = PAL-DK; 4 = NTSC; 5 = SECAM; 6 = PAL-M; 7 = PAL-Nc;
 inputs: 0 = Television; 1 = Composite1; 2 = S-Video; 3 = Composite2;
 Current input: 0
 Current format: BGR24
v4l2: current audio mode is : STEREO
[V] filefmt:9  fourcc:0x32315659  size:640x480  fps:25.00  ftime:=0.0400
==========================================================================
Opening audio decoder: [pcm] Uncompressed PCM audio decoder
AUDIO: 44100 Hz, 2 ch, 16 bit (0x10), ratio: 176400->176400 (1411.2 kbit)
Selected audio codec: [pcm] afm:pcm (Uncompressed PCM)
==========================================================================
Opening video filter: [expand osd=1]
Expand: -1 x -1, -1 ; -1  (-1=autodetect) osd: 1
==========================================================================
Opening video decoder: [raw] RAW Uncompressed Video
VDec: vo config request - 640 x 480 (preferred csp: Planar YV12)
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is undefined - no prescaling applied.
SwScaler: reducing / aligning filtersize 1 -> 4
SwScaler: reducing / aligning filtersize 1 -> 4
SwScaler: reducing / aligning filtersize 1 -> 1
SwScaler: reducing / aligning filtersize 5 -> 4

SwScaler: BICUBIC scaler, from Planar YV12 to Planar 422P using MMX2
videocodec: libavcodec (640x480 fourcc=55594648 [HFYU])
[huffyuv @ 0x8e1890]using huffyuv 2.2.0 or newer interlacing flag
Selected video codec: [rawyv12] vfm:raw (RAW YV12)
==========================================================================
CBR PCM audio selected
Building audio filter chain for 44100Hz/2ch/16bit -> 44100Hz/2ch/16bit...
Writing AVI header...
ODML: Aspect information not (yet?) available or unspecified, not writing vprp header.
Forcing audio preload to 0, max pts correction to 0
ODML: Aspect information not (yet?) available or unspecified, not writing vprp header.
Pos:  10.0s    249f ( 0%)  25fps Trem:   0min   0mb  A-V:0.000 [70865:1411]
Flushing video frames

Writing AVI index...
Fixing AVI header...
ODML: Aspect information not (yet?) available or unspecified, not writing vprp header.

Video stream: 70865.969 kbit/s  (8858246 bps)  size: 88582460 bytes  10.000 secs  249 frames

Audio stream: 1411.200 kbit/s  (176400 bps)  size: 1764000 bytes  10.000 secs
v4l2: 254 frames successfully processed, 0 frames dropped.
*****************************************************************************
Comment 3 Luca Barbato gentoo-dev 2005-04-26 14:20:32 UTC
Please read the messages from libavc :

[ffvhuff @ 0x8e1890]This codec is under development; files encoded with it may not be decodeable with future versions!!! Set vstrict=-1 to use it anyway.

Bug marked as invalid.

Please relax a bit and remember that is better keep a cool mind and read what is wrong before taking any action. I hope it is working as supposed afterall
Comment 4 Luca Barbato gentoo-dev 2005-04-28 03:27:07 UTC
Closed